import { HcApi } from '../../../request/index'
//  中间计量申请
export default {
    //分页
    async getPage(form, msg = false) {
        return HcApi({
            url: '/api//blade-meter/middleMeterApply/page',
            method: 'get',
            params: form,
        }, msg)
    },
    //修改
    async edit(form, msg = false) {
        return HcApi({
            url: '/api/blade-meter/middleMeterApply/update',
            method: 'post',
            data: form,
        }, msg)
    },
    //新增
    async add(form, msg = false) {
        return HcApi({
            url: '/api/blade-meter/middleMeterApply/add',
            method: 'post',
            data: form,
        }, msg)
    },
    //删除
    async remove(form, msg = false) {
        return HcApi({
            url: '/api/blade-meter/middleMeterApply/remove',
            method: 'post',
            params: form,
        }, msg)
    },
    //获取详情
    async getDetail(form, msg = false) {
        return HcApi({
            url: '/api/blade-meter/middleMeterApply/detail',
            method: 'get',
            params: form,
        }, msg)
    },
    //获取清单明细
    async getFormDetail(form, msg = false) {
        return HcApi({
            url: '/api/blade-meter/middleMeterApply/formDetail',
            method: 'get',
            params: form,
        }, msg)
    },
    //添加清单
    async addFormList(form, msg = false) {
        return HcApi({
            url: '/api/blade-meter/middleMeterApply/addFormList',
            method: 'get',
            params: form,
        }, msg)
    },
    //添加分解清单
    async addResolveForm(form, msg = false) {
        return HcApi({
            url: '/api/blade-meter/middleMeterApply/addResolveForm',
            method: 'get',
            params: form,
        }, msg)
    },
    //获取当前节点工程划分
    async getNodeDivide(form, msg = false) {
        return HcApi({
            url: '/api/blade-meter/middleMeterApply/getNodeDivide',
            method: 'get',
            params: form,
        }, msg)
    },
    //获取当前节点变更令
    async getNodeToken(form, msg = false) {
        return HcApi({
            url: '/api/blade-meter/middleMeterApply/getNodeToken',
            method: 'get',
            params: form,
        }, msg)
    },
    //获取计量单编号
    async getMeterNumber(form, msg = false) {
        return HcApi({
            url: '/api/blade-meter/middleMeterApply/getMeterNumber',
            method: 'get',
            params: form,
        }, msg)
    },
    //合同计量期列表-全部
    async getAllPeriod(form, msg = false) {
        return HcApi({
            url: '/api/blade-meter/contractMeterPeriod/allPeriod',
            method: 'get',
            params: form,
        }, msg)
    },
    //获取本期计量总金额
    async getCurrentMeterMoney(form, msg = false) {
        return HcApi({
            url: '/api/blade-meter/middleMeterApply/getCurrentMeterMoney',
            method: 'get',
            params: form,
        }, msg)
    },
}
